package cn.cecep.talroad.service.impl.analysis;

import org.springframework.stereotype.Service;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.mapper.analysis.BasDeviceParamAnalyseMapper;
import cn.cecep.talroad.domain.analysis.BasDeviceParamAnalyse;
import cn.cecep.talroad.service.analysis.BasDeviceParamAnalyseService;
import org.springframework.transaction.annotation.Transactional;

@Service("basDeviceParamAnalyseNewService")
public class BasDeviceParamAnalyseServiceImpl extends ServiceImpl<BasDeviceParamAnalyseMapper, BasDeviceParamAnalyse> implements BasDeviceParamAnalyseService{

    @Override
    public int updateBatch(List<BasDeviceParamAnalyse> list) {
        return baseMapper.updateBatch(list);
    }
    @Override
    @Transactional(rollbackFor = Exception.class)
    public int updateBatchSelective(List<BasDeviceParamAnalyse> list) {
        return baseMapper.updateBatchSelective(list);
    }
    @Override
    public int batchInsert(List<BasDeviceParamAnalyse> list) {
        return baseMapper.batchInsert(list);
    }
}
